package com.six15.hudservice;

import android.os.Parcel;
import android.os.Parcelable;

import androidx.annotation.Keep;

@Keep
public class ByteFrame implements Parcelable {

    public byte[] jpgBuffer;

    public void readFromParcel(Parcel in) {
        jpgBuffer = new byte[in.readInt()];
        in.readByteArray(jpgBuffer);
    }

    public ByteFrame() {
    }

    public ByteFrame(Parcel in) {
        readFromParcel(in);
    }


    public byte[] get_byte() {
        return jpgBuffer;
    }

    public void set_byte(byte[] _byte) {
        this.jpgBuffer = _byte;
    }

    @Override
    public int describeContents() {
        return 0;
    }

    @Override
    public void writeToParcel(Parcel dest, int flags) {
        dest.writeInt(jpgBuffer.length);
        dest.writeByteArray(jpgBuffer);
    }

    public static final Creator<ByteFrame> CREATOR = new Creator<ByteFrame>() {
        @Override
        public ByteFrame createFromParcel(Parcel in) {
            return new ByteFrame(in);
        }

        @Override
        public ByteFrame[] newArray(int size) {
            return new ByteFrame[size];
        }
    };
}
