package com.six15.hudservice;

import androidx.annotation.Keep;

import java.util.List;

import com.google.gson.annotations.Expose;
import com.google.gson.annotations.SerializedName;

/**
 * Created by gvige on 12/19/2017.
 */
@Keep
public class ImuData {
    private static final String TAG = "[Six15]ImuData";

    @SerializedName("A")
    @Expose
    private List<Double> a = null;
    @SerializedName("G")
    @Expose
    private List<Double> g = null;
    @SerializedName("M")
    @Expose
    private List<Double> m = null;
    @SerializedName("Q")
    @Expose
    private List<Double> q = null;
    @SerializedName("T")
    @Expose
    private Double t;

    public List<Double> getA() {
        return a;
    }

    public void setA(List<Double> a) {
        this.a = a;
    }

    public List<Double> getG() {
        return g;
    }

    public void setG(List<Double> g) {
        this.g = g;
    }

    public List<Double> getM() {
        return m;
    }

    public void setM(List<Double> m) {
        this.m = m;
    }

    public List<Double> getQ() {
        return q;
    }

    public void setQ(List<Double> q) {
        this.q = q;
    }

    public Double getT() {
        return t;
    }

    public void setT(Double t) {
        this.t = t;
    }
}